// (C) Copyright 2003: Reece H. Dunn

#ifndef BOOST__IO__FORMAT_OBJECTS__CONTAINER_OUTPUT__IPP
#define BOOST__IO__FORMAT_OBJECTS__CONTAINER_OUTPUT__IPP
   template< typename FormatType, typename Outputter >
   boost::io::container_output< FormatType, Outputter >::container_output() throw()
   {
   }
   template< typename FormatType, typename Outputter >
   boost::io::container_output< FormatType, Outputter >::container_output( const Outputter & o ) throw():
      detail::list_output< FormatType, container_output, Outputter >( o )
   {
   }
   template< typename FormatType, typename Outputter >
   boost::io::container_output< FormatType, Outputter >::container_output( const container_output & o ) throw():
      detail::list_output< FormatType, container_output, Outputter >( o )
   {
   }

   // container_output generators

   boost::io::container_output< char > boost::io::containerfmt()
   {
      return( container_output< char >());
   }

   template< typename FormatType >
   boost::io::container_output< FormatType > boost::io::containerfmtex()
   {
      return( boost::io::container_output< FormatType >());
   }
#endif
